--- Makefile.orig	Tue Jun  5 07:55:05 2007
+++ Makefile	Tue Jun  5 07:55:10 2007
@@ -15,7 +15,7 @@
 
 MODULES=	converters/libiconv
 
-WANTLIB=	c fontconfig freetype m z
+WANTLIB=	c m z
 
 PERMIT_PACKAGE_CDROM=	Yes
 PERMIT_PACKAGE_FTP=	Yes
@@ -25,8 +25,17 @@
 CONFIGURE_STYLE= gnu
 CONFIGURE_ARGS+= --without-xpm
 
-USE_X11=	Yes
 USE_LIBTOOL=	Yes
+
+FLAVORS= no_x11 
+FLAVOR?= 
+ 
+.if ${FLAVOR:L:Mno_x11} 
+CONFIGURE_ARGS+= --with-freetype=no --with-fontconfig=no 
+.else 
+WANTLIB+= fontconfig freetype 
+USE_X11= Yes 
+.endif 
 
 post-install:
 	@cd ${WRKSRC} && ./gddemo
